Subject: Re: bug#15926: RFE: unlink command already uses 'unlink' call; make 'rm' use 'remove' call

From: Eric Blake <[email-masked]>
Date: Thu, 21 Nov 2013 10:38:03 -0700

On 11/21/2013 10:35 AM, Pádraig Brady wrote:
> as I don't see it as specific to rm.
> I.E. other tools like chmod etc would have the same requirement,
> and they might be handled with various shell globbing constructs.
> Even more generally find(1) could be used to handle arbitrarily
> many files and commands that don't support recursion internally.
> 
> Could you explain why rm would get this and say chmod would not?

Ideally, any command that implements recursion should have the option to
operate on children only.  You are correct that rm should not be special
in this regards, so yes, I think chmod should also get it.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org